avro

## Class Address.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<Address>
    - - avro.Address.Builder

- All Implemented Interfaces:
    RecordBuilder<Address>
  Enclosing class:
    Address

      public static class Address.Builder
      extends SpecificRecordBuilderBase<Address>
      implements RecordBuilder<Address>

  RecordBuilder for Address instances.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Address` | `build()`
    `Address.Builder` | `clearCity()` Clears the value of the 'city' field
    `Address.Builder` | `clearState()` Clears the value of the 'state' field
    `Address.Builder` | `clearStreet()` Clears the value of the 'street' field
    `Address.Builder` | `clearZip()` Clears the value of the 'zip' field
    `String` | `getCity()` Gets the value of the 'city' field
    `String` | `getState()` Gets the value of the 'state' field
    `String` | `getStreet()` Gets the value of the 'street' field
    `Integer` | `getZip()` Gets the value of the 'zip' field
    `boolean` | `hasCity()` Checks whether the 'city' field has been set
    `boolean` | `hasState()` Checks whether the 'state' field has been set
    `boolean` | `hasStreet()` Checks whether the 'street' field has been set
    `boolean` | `hasZip()` Checks whether the 'zip' field has been set
    `Address.Builder` | `setCity(String value)` Sets the value of the 'city' field
    `Address.Builder` | `setState(String value)` Sets the value of the 'state' field
    `Address.Builder` | `setStreet(String value)` Sets the value of the 'street' field
    `Address.Builder` | `setZip(int value)` Sets the value of the 'zip' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getStreet

          public String getStreet()

      Gets the value of the 'street' field

    - #### setStreet

          public Address.Builder setStreet(String value)

      Sets the value of the 'street' field

    - #### hasStreet

          public boolean hasStreet()

      Checks whether the 'street' field has been set

    - #### clearStreet

          public Address.Builder clearStreet()

      Clears the value of the 'street' field

    - #### getCity

          public String getCity()

      Gets the value of the 'city' field

    - #### setCity

          public Address.Builder setCity(String value)

      Sets the value of the 'city' field

    - #### hasCity

          public boolean hasCity()

      Checks whether the 'city' field has been set

    - #### clearCity

          public Address.Builder clearCity()

      Clears the value of the 'city' field

    - #### getState

          public String getState()

      Gets the value of the 'state' field

    - #### setState

          public Address.Builder setState(String value)

      Sets the value of the 'state' field

    - #### hasState

          public boolean hasState()

      Checks whether the 'state' field has been set

    - #### clearState

          public Address.Builder clearState()

      Clears the value of the 'state' field

    - #### getZip

          public Integer getZip()

      Gets the value of the 'zip' field

    - #### setZip

          public Address.Builder setZip(int value)

      Sets the value of the 'zip' field

    - #### hasZip

          public boolean hasZip()

      Checks whether the 'zip' field has been set

    - #### clearZip

          public Address.Builder clearZip()

      Clears the value of the 'zip' field

    - #### build

          public Address build()

      Specified by:
        `build` in interface `RecordBuilder<Address>`

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.